<nz-table 
    [nzData]="item.list">
    <thead>
        <tr>
            <th>Discord</th>
            <th>Roles</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let member of item.list">
            <td>{{ member.discordInfo.username }}#{{ member.discordInfo.tag }}</td>
            <td>
                <nz-tag
                    class="p-0"
                    *ngFor="let role of prepRoleTags(member.roles, item.tab).main">
                    <div 
                        *ngIf="!role.includes('+')"
                        class="w-full h-full tag-padding">
                        <span>{{ role }}</span>
                    </div>
                    <div 
                        *ngIf="role.includes('+')"
                        class="w-full h-full tag-padding"
                        nz-popover  
                        nzPopoverTrigger="hover"
                        [nzPopoverContent]="extraTags">
                        <span>{{ role }}</span>
                    </div>
                    <ng-template #extraTags>
                        <nz-tag *ngFor="let role of prepRoleTags(member.roles, item.tab).extras">
                            {{ role }}
                        </nz-tag>
                    </ng-template>
                </nz-tag>
            </td>
        </tr>
    </tbody>
</nz-table>
